using System;
using ReversiBase;

namespace ReversiPlayer
{
	/// <summary>
	/// SampleCom1 ̊Tv̐łB
	/// </summary>
	[Author("team8bit")]
	[Email("team8bitjp@yahoo.co.jp")]
	[Name("SampleCom1")]
	public class SampleCom1 : Player
	{
		public override MathPoint Thinking(Board virtualBoard)
		{
			for (int x = 1; x <= 8; x++)
			{
				for (int y= 1; y <= 8; y++)
				{
					MathPoint point = new MathPoint(x, y);
					if (virtualBoard.CanPlacePiece(point, pieceType))
					{
						return point;
					}
				}
			}
			return new MathPoint(); //肦ȂpX
		}
	}

}
